Package Details: lilo 24.2-3

Git Clone URL: https://aur.archlinux.org/lilo.git (read-only, click to copy)
Package Base: lilo
Description: A bootloader for Linux
Upstream URL: https://alioth.debian.org/projects/lilo/
Licenses: BSD
Submitter: ConnorBehan
Maintainer: forcegk
Last Packager: forcegk
Votes: 16
Popularity: 0.000000
First Submitted: 2013-06-04 20:03 (UTC)
Last Updated: 2021-05-27 14:07 (UTC)

Latest Comments

grawity commented on 2018-06-11 17:53 (UTC)

alioth has been shut down:

diff --git a/PKGBUILD b/PKGBUILD
index ec31721..910f179 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,7 +15,7 @@ makedepends=('bin86' 'sharutils')
 optdepends=('perl: to use keytab-lilo')
 install=lilo.install
 options=('!makeflags')
-source=("http://lilo.alioth.debian.org/ftp/sources/${pkgname}-${pkgver}.tar.gz"
+source=("https://alioth-archive.debian.org/releases/lilo/Lilo/${pkgver}/${pkgname}-${pkgver}.tar.gz"
         'lilo.conf')

 build() {

lks commented on 2014-02-21 08:30 (UTC)

@ConnorBehan Well there was actually no error. Here is what I got: --- ==> Starting build()... ./checkit GCC version 3.3.5 or later is required gcc version 4.8.2 OKAY AS86 version 0.16.14 or later is required as86 version 0.16.19 OKAY LD86 version 0.16.14 or later is required ld86 version 0.16.19 OKAY BCC version 0.16.14 is recommended bcc is not present You will not be able to make floppy2, diag2.img or lilo.com --- After this it builds just fine. I can't see anything missing in the now created package. Perhaps we do not need bcc. But why I got this warning? lks

ConnorBehan commented on 2014-02-20 21:31 (UTC)

It built on my machine without bruce. Can you post the error you're getting?

lks commented on 2014-02-20 21:03 (UTC)

Dear ConnorBehan, Please add bruce-c-compiler only as make dependency for lilo. Otherwise lilo's mkrescue tool would not build. lks

ConnorBehan commented on 2014-02-16 05:39 (UTC)

You're right. Old link was bogus.

HelenaKitty commented on 2014-02-16 01:04 (UTC)

"Invalid Password Or User Name Your account is currently pending your email confirmation. Visiting the link sent to you in this email will activate your account. If you need this email resent, please click below and a confirmation email will be sent to the email address you provided in registration.[Resend Confirmation Email]" Please upload elsewhere, I have tried alsorts of methods on getting this from the website and simply can not get it. I have verified my email address too. and yes I did put -guest at the end of my username.

HelenaKitty commented on 2014-02-16 00:59 (UTC)

Public download links that require you to log in are a pile of bullshit! Please upload elsewhere. :/

loserMcloser commented on 2013-06-09 15:54 (UTC)

Thanks for making this package. I didn't even realize lilo was dropped from the official repos until I tried to upgrade the new filesystem package. One small issue: /usr/bin/keytab-lilo conflicts with the syslinux package...